# wp-sd-google-calendar
Wordpress Plugin for combining public Google Calendars for display
created by <a href="http://smartwaredesign.com">SmartwareDesign.com</a>

The user can combine multiple public Google calendars into one feed to use on the REST API or generate one agenda calendar on the Wordpress frontend.  You can also display a Calendar format layout of all Google Calendars represented in different colors on a single calendar layout.

The user can have multiple combined calendars to use on different API calls or front end views with different shortcodes.  This plugin allows the user to enter a list of all public Google Calendars, the number of look-ahead/-behind days, and the timezone for displaying the dates and times of the calendar.

In addition, you can create events either on the frontend via a shortcode or inside the Admin dashboard for a combined calendar.

All events are read and stored locally in a database table inside the Wordpress database (a hourly/twice-daily/daily task is run to update the calendar on a regular basis).

The RESTful call generates JSON that looks like the following as an example:
{
 'date':'2016-03-31',
 'events':[
   {'title':'Mayor&#39;s Masters Reception',
    'link':'https://calendar.google.com/calendar/event?eid=X2Q...&ctz=America/New_York'},
   {'time':'10am',
    'title':'AARP Tax Help', 
    'link':'https://calendar.google.com/calendar/event?eid=aWwy...&ctz=America/New_York'}
  ]
}

The RESTful call can be made by using a custom url to:
<your base wordpress site url>/wp-json/sd-google-calendar/v1/sdcalendar/<post ID>

The agenda calendar can be inserted to your wordpress post using the shortcode:
[sd_show_calendar id="<cal id>"]

There's also a "type" parameter which is defaulted to "monthly" to display a monthly calendar view.  Can also be set to "agenda" for displaying a list view and "form" for adding new custom events.